/*
 * ============================================================================
 * (C) Copyright IBM Corporation 2007, 2008.  All Rights Reserved.
 * 
 * You may only copy, modify, and distribute these samples internally.
 * These samples have not been tested under all conditions and are provided
 * to you by IBM without obligation of support of any kind.
 *
 * IBM PROVIDES THESE SAMPLES "AS IS" SUBJECT TO ANY STATUTORY WARRANTIES THAT
 * CANNOT BE EXCLUDED. IBM MAKES NO WARRANTIES OR CONDITIONS, EITHER EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OR
 * CONDITIONS OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND
 * NON-INFRINGEMENT REGARDING THESE SAMPLES OR TECHNICAL SUPPORT, IF ANY.
 * ============================================================================
 */
import java.text.DateFormat;
import java.util.Date;
import zero.core.connection.Connection;

request.headers.out."Content-Type" = "text/plain; charset=\"UTF-8\"";

try {
    
    messageText = "Message from zero.messaging.app1.demo at " + DateFormat.getTimeInstance(DateFormat.LONG).format(new Date());
    
    println("Sending message, \"" + messageText + "\", to queue1." );
    Connection.doPOST("queue1", messageText);
    
    println("Message sent successfully. See zero.messaging.app2.demo log for receipt.");
    
} catch (Exception e) {
    
    println("Exception when sending message: " + e.toString());
    println("See zero.messaging.app1.demo log for more information.")
    e.printStackTrace();

}
